[metadata]
name = pyupgrade
version = 3.19.1
description = A tool to automatically upgrade syntax for newer versions.
long_description = file: README.md
long_description_content_type = text/markdown
url = https://github.com/asottile/pyupgrade
author = Anthony Sottile
author_email = asottile@umich.edu
license = MIT
license_files = LICENSE
classifiers = 
	License :: OSI Approved :: MIT License
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3 :: Only
	Programming Language :: Python :: Implementation :: CPython
	Programming Language :: Python :: Implementation :: PyPy

[options]
packages = find:
install_requires = 
	tokenize-rt>=6.1.0
python_requires = >=3.9

[options.packages.find]
exclude = 
	tests*
	testing*

[options.entry_points]
console_scripts = 
	pyupgrade = pyupgrade._main:main

[bdist_wheel]
universal = True

[coverage:run]
plugins = covdefaults

[mypy]
check_untyped_defs = true
disallow_any_generics = true
disallow_incomplete_defs = true
disallow_untyped_defs = true
warn_redundant_casts = true
warn_unused_ignores = true

[mypy-testing.*]
disallow_untyped_defs = false

[mypy-tests.*]
disallow_untyped_defs = false

[egg_info]
tag_build = 
tag_date = 0

